package javax.xml.stream.events;

import javax.xml.namespace.NamespaceContext;
import java.util.Iterator;
import javax.xml.namespace.QName;

public interface StartElement extends XMLEvent
{
    public abstract QName getName();
    
    public abstract Iterator getAttributes();
    
    public abstract Iterator getNamespaces();
    
    public abstract Attribute getAttributeByName(QName p0);
    
    public abstract NamespaceContext getNamespaceContext();
    
    public abstract String getNamespaceURI(String p0);
}
